Switch from Mapbox to Maplibre

16/02/2021 19:21 - Philippe May

Status: Resolved Start date: 16/02/2021

Priority: Normal Due date:  

Assignee: Philippe May % Done: 90%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Mapbox-gl-js v2 cannot be used without mapbox key and eventually payed APIs.

Switch to https://github.com/maplibre/maplibre-gl-js

Associated revisions

Revision 4e6537c5 - 26/06/2021 15:45 - Philippe May

Switch from Mapbox to Maplibre (refs #11762)

Revision ef526ac9 - 06/07/2021 19:35 - Philippe May

Bump maplibre and ngx-maplibre-js versions (refs #11762)

History

#1 - 16/03/2021 11:11 - Philippe May

Depends mostly on the Mapbox/Angular binding, see:

https://github.com/Wykks/ngx-mapbox-gl/issues/260

#2 - 26/06/2021 02:01 - Philippe May

New project for Angular bindings: https://github.com/maplibre/ngx-maplibre-gl

Tried, but Angular build failed with:

Error: node_modules/maplibre-gl/src/index.d.ts:338:47 - error TS2304: Cannot find name 'RequestTransformFuncti

on'.

 

A quick and dirty fix in maplibre-gl/src/index.d.ts` seems to work.

Raised https://github.com/maplibre/maplibre-gl-js/issues/186

#3 - 04/07/2021 19:59 - Philippe May
https://github.com/maplibre/maplibre-gl-js
https://github.com/Wykks/ngx-mapbox-gl/issues/260
https://github.com/maplibre/maplibre-gl-js/issues/186


- % Done changed from 0 to 90

- Status changed from New to In Progress

Ticket closure pending with update to maplibre-gl-js 1.15.0, which is pending for a ticket and PR on ngx-maplibre-js (

https://github.com/maplibre/ngx-maplibre-gl/issues/4)

#4 - 20/11/2021 15:21 - Philippe May

- Status changed from In Progress to Resolved
